package com.huiju.estateagents.miniPackage.service;

import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.bo.request.SaveCzOrderRequestBO;
import com.huiju.estateagents.miniPackage.entity.TaUserPackages;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 会员套餐记录  服务类
 * </p>
 *
 * @author wxx
 * @since 2020-06-16
 */
public interface ITaUserPackagesService extends IService<TaUserPackages> {
    /**
     * 购买套餐生成订单
     * @param saveCzOrderRequestBO
     * @param orgId
     * @param userId
     * @param ip
     * @return
     * @throws Exception
     */
    ResponseBean saveBuyPackageOrder(SaveCzOrderRequestBO saveCzOrderRequestBO, Integer orgId, Integer userId, String ip) throws Exception;
}
